CVE-2014-0073CVE-2014-0073

Affected configuration(s):

cpe:/a:apache:cordova_in-app-browser:0.3.1::~~~iphone_os~~

Date published: 2017-10-30T15:29:00.373-04:00

Date last modified: 2017-11-21T14:43:52.520-05:00

CVSS Score: 7.5

Principal attack vector: NETWORK

Complexity:  LOW

Reference URL: http://d3adend.org/blog/?p=403

Summary: The CDVInAppBrowser class in the Apache Cordova In-App-Browser standalone plugin (org.apache.cordova.inappbrowser) before 0.3.2 for iOS and the In-App-Browser plugin for iOS from Cordova 2.6.0 through 2.9.0 does not properly validate callback identifiers, which allows remote attackers to execute arbitrary JavaScript in the host page and consequently gain privileges via a crafted gap-iab: URI.

CategoriesUncategorised

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.